import { world, system } from "@minecraft/server";
import copNames from "./names/CopNames";
import swatNames from "./names/SwatNames";
import sheriffNames from "./names/SheriffNames";
import cadetNames from "./names/CadetNames";
import professorNames from "./names/ProfessorNames";
import detectiveNames from "./names/DetectiveNames";
import sniperNames from "./names/SniperNames";

world.afterEvents.entitySpawn.subscribe(({ entity }) => {
    
    if (entity?.typeId === "cop:police") {
        
        entity.nameTag = copNames[
            Math.floor(Math.random() * copNames.length)
        ];
        
    }

    if (entity?.typeId === "cop:swat") {
        
        entity.nameTag = swatNames[
            Math.floor(Math.random() * swatNames.length)
        ];
        
    }

    if (entity?.typeId === "cop:sheriff") {
        
        entity.nameTag = sheriffNames[
            Math.floor(Math.random() * sheriffNames.length)
        ];
        
    }

    if (entity?.typeId === "cop:cadet") {
        
        entity.nameTag = cadetNames[
            Math.floor(Math.random() * cadetNames.length)
        ];
        
    }

    if (entity?.typeId === "cop:professor_academy") {
        
        entity.nameTag = professorNames[
            Math.floor(Math.random() * professorNames.length)
        ];
        
    }

    if (entity?.typeId === "cop:detective") {
        
        entity.nameTag = detectiveNames[
            Math.floor(Math.random() * detectiveNames.length)
        ];
        
    }

    if (entity?.typeId === "cop:sniperman") {
        
        entity.nameTag = sniperNames[
            Math.floor(Math.random() * sniperNames.length)
        ];
        
    }
});